#ifndef __DBUS_METHODS_H
#define __DBUS_METHODS_H

#include <dbus/dbus.h>

void method_get_device_list (DBusMessage*, DBusConnection*);
void method_open_device (DBusMessage*, DBusConnection*);
void method_start_scan (DBusMessage*, DBusConnection*);
void method_stop_scan (DBusMessage*, DBusConnection*);
void method_read_image (DBusMessage*, DBusConnection*);
void method_get_option_info (DBusMessage*, DBusMessage*);
void method_get_num_options (DBusMessage*, DBusMessage*);
void method_get_option_value (DBusMessage*, DBusMessage*);
void method_set_option_value (DBusMessage*, DBusMessage*);

#endif
